Skip to content
SynupAPI
Get an API key
POSTapi.synup.com/api/v4/bulk-posts

Create a bulk post

Requires an API key. Send it as Authorization: API <your-key> — see Getting started.

Parameters

Headers

NameTypeRequiredDescription
Content-Typestringrequired

Body

NameTypeRequiredDescription
inputobjectrequired
input.postNamestringrequired
input.locationIdsarray of stringrequired
input.postTypestringrequired
input.postSitesarray of stringrequired
input.postMessagearray of objectrequired
input.postMessage[].sitestringoptional
input.postMessage[].messagestringoptional

Request

Request
curl -X POST 'https://api.synup.com/api/v4/bulk-posts' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "input": {
    "postName": "Bulk Announcement",
    "locationIds": [
      "{locationId1}",
      "{locationId2}"
    ],
    "postType": "ANNOUNCEMENT",
    "postSites": [
      "GOOGLE"
    ],
    "postMessage": [
      {
        "site": "GOOGLE",
        "message": "Message for all locations"
      }
    ]
  }
}'

Responses

StatusDescription
200
Example response (generated from the schema)
{}